import { JavaObject } from '../../../java/lang/JavaObject';
export declare class ENMFach extends JavaObject {
    id: number;
    kuerzel: String | null;
    kuerzelAnzeige: String | null;
    sortierung: number;
    istFremdsprache: boolean;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): ENMFach;
    static transpilerToJSON(obj: ENMFach): string;
    static transpilerToJSONPatch(obj: Partial<ENMFach>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_enm_ENMFach(obj: unknown): ENMFach;
